<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.cardview.widget.CardView
        android:layout_width="@dimen/default_dialog_width"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        app:cardBackgroundColor="@color/ui_surface"
        app:cardCornerRadius="8dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:adjustViewBounds="true"
                android:src="@drawable/sign_dialog_bg" />

            <TextView
                android:id="@+id/dialog_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:textColor="@color/text_primary"
                android:textSize="16dp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/dialog_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:textColor="@color/text_secondary"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/dialog_content2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:textColor="@color/text_secondary"
                android:textSize="14sp" />

            <View
                android:id="@+id/questionsdetail_line_top"
                android:layout_width="match_parent"
                android:layout_height="@dimen/cutting_line"
                android:layout_marginTop="24dp"
                android:layout_marginBottom="-1dp"
                android:background="@color/cutting_line" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp">

                <TextView
                    android:id="@+id/dialog_negative"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="关闭"
                    android:textColor="@color/text_secondary"
                    android:textStyle="bold"
                    android:textSize="@dimen/primary_text_size" />

                <View
                    android:id="@+id/centerDivider"
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="@color/ui_divider" />

                <TextView
                    android:id="@+id/dialog_positive"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:textColor="@color/text_theme"
                    android:textSize="@dimen/primary_text_size"
                    android:textStyle="bold" />

            </LinearLayout>
        </LinearLayout>
    </androidx.cardview.widget.CardView>
</FrameLayout>